Announcement

Collapse
No announcement yet.

SC install on PHP 5.3 - problem with Zend Optimizer

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • SC install on PHP 5.3 - problem with Zend Optimizer

    Hello all,

    I'm trying to install SC on a new Ubuntu 10 LAMP. It is running PHP 5.3.2. The problem is Zend Optimizer is not available for PHP 5.3. The Zend site says to use Zend Guard for PHP 5.3.x.

    When I get this installed, the default scriptcase/index.php file just shows blank in my browser.

    What's the recommended method? Do I back-track my PHP installation to a 5.2.x?

    I tried forcing the Zend Optimizer for 5.2 but that didn't work either.

    Any help would be appreciated.

    Thanks,
    Kevin


  • #2
    Re: SC install on PHP 5.3 - problem with Zend Optimizer

    We recommend to use php 5.2 while we test php 5.3 and get the oficial answer from zend.

    Comment


    • #3
      Re: SC install on PHP 5.3 - problem with Zend Optimizer

      Try to use Zendserver CE (php5.3 compatible), instead ZendOptimizer or ZendCore.
      The Scriptcase support has assured me that work.

      Bye
      Gaetano
      Thank You and Best Regards
      Gaetano

      Comment


      • #4
        Re: SC install on PHP 5.3 - problem with Zend Optimizer

        @nicosia: Thanks for the tip, I may try that in the future. However, for now I've reverted my PHP to 5.2

        @DiogoToscano: In the Knowledge Base article (http://scriptcase.net/phpgenerator/b...?id_topico=285), the section called Install Libraries has the following line

        sudo apt-get install g

        Is that a typo because my system says "Couldn't find package g".

        Thanks

        Comment


        • #5
          Re: SC install on PHP 5.3 - problem with Zend Optimizer

          weird.... let me ask for who did this tutorial.

          Comment


          • #6
            Re: SC install on PHP 5.3 - problem with Zend Optimizer

            Does SC 5.2 now work with PHP 5.3?
            Alan

            Comment


            • #7
              Re: SC install on PHP 5.3 - problem with Zend Optimizer

              yes, it works like charm, but when you try to print your custom background pdf report, it will print blank, this problem I face, and now I switch back to php 5.2

              Comment


              • #8
                Re: SC install on PHP 5.3 - problem with Zend Optimizer

                The PHP 5.3 only work in production environment. With your app deployed.
                In development environment didnt work yet.

                Comment

                Working...
                X